[Overview][Types][Classes][Index] | Reference for unit 'ascii85' (#fcl)

# TASCII85EncoderStream.Create

Create a new instance of TASCII85EncoderStream

## Declaration

Source position: ascii85.pp line 88

`public constructor TASCII85EncoderStream.Create(`
`ADest: TStream;`
`AWidth: Integer = 72;`
`ABoundary: Boolean = False`
`);`

## Arguments

`ADest` |  | Stream where the encoded data is stored
`AWidth` |  | Width of the lines written by the encoder
`ABoundary` |  | True to write a delineator before and after the encoded data

## Description

Create creates a new instance ofTASCII85EncoderStream. It stores ADest as the destination stream for the encoded data. The Width parameter indicates the width of the lines that are written by the encoder: after this amount of characters, a linefeed is put in the data stream. If ABoundary is True then a boundary delineator is written to the stream before and after the data.

## See also

TASCII85EncoderStream |  | ASCII 85 encoding stream
Width |  | Width of the lines written to the data stream
Boundary |  | Is a boundary delineator written before and after the data